{ pkgs, ... }: {
  programs.zsh.enable = true;

  users.users.fleaz = {
    isNormalUser = true;
    shell = pkgs.zsh;
    hashedPassword = "$6$9dARC6e2RxgPC9f1$QfXpT71cXA7YiFhv75Nnq2OrbQ8xlHMzgrJdaBaETaAVHLX5j8QUAl71dxMlqD.CtTLxe566kL5Q6da7Kqnvp/";

    extraGroups = [
      "wheel" # Enable ‘sudo’ for the user.
      "networkmanager" # Access to networkmanager
      "docker" # Access to the "/run/docker.sock"
      "dialout" # for serial access
    ];

    # Allow ssh between all my machines
    openssh.authorizedKeys.keys = [
      # Desktop NixOS
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOOQB+LpTMWkmrx/ve1gxfzCM3CAsWpYkQ5QBRH1Vqf8 fleaz@cray"

      # Desktop WSL
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPgC76vTSe1t/FbsZvT785x1P/XLgiIuxr8QWxAucFoz fleaz@DESKTOP-M4KRLN1"

      # Framework
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAO0UjGRIPO9zPwulEXVK8/pUIninT2H8gW2YlGlHwKH fleaz@smithers"

      # Work Dell
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAQ7gJplIqFOyxJl7G86nmvmXfYegNYYpafHkbhdDPN9 felix@felix-xm2307"
    ];
  };
}
